Get Server Endpoint
curl --request GET \
--url https://api.example.com/servers/{server_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/servers/{server_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/servers/{server_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"squadUuid": "<string>",
"displayName": "<string>",
"isAvailable": true,
"priceKopeks": 123,
"priceRubles": 123,
"originalName": "<string>",
"countryCode": "<string>",
"isTrialEligible": false,
"description": "<string>",
"sortOrder": 0,
"maxUsers": 123,
"currentUsers": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"promoGroups": [
{
"id": 123,
"name": "<string>",
"server_discount_percent": 123,
"traffic_discount_percent": 123,
"device_discount_percent": 123,
"apply_discounts_to_addons": true
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}servers
Get Server Endpoint
Получение информации о сервере по идентификатору.
GET
/
servers
/
{server_id}
Get Server Endpoint
Authorizations
Path Parameters
Response
Successful Response
Полная информация о сервере.
Show child attributes
Show child attributes
⌘I
